Ext.namespace('Zarafa.plugins.emailtracking.data');

/**
 * @class Zarafa.plugins.emailtracking.data.ResponseHandler
 * @extends Zarafa.core.data.AbstractResponseHandler
 *
 * Emailtracking specific response handler.
 */
Zarafa.plugins.emailtracking.data.ResponseHandler = Ext.extend(Zarafa.core.data.AbstractResponseHandler, {

	/**
	 * @cfg {Function} successCallback The function which
	 * will be called after success request.
	 */
	successCallback : null,

	/**
	 * @param {Object} response Object contained the response data.
	 */
	doGettrackinglog : function(response) {
		this.successCallback(response);
	}
});

Ext.reg('emailtracking.responsehandler', Zarafa.plugins.emailtracking.data.ResponseHandler);